Bug 449829 - WPA connection drops frequently; reconnection unreliable.
WPA connection drops frequently; reconnection unreliable.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 15:57 EDT by August Schwerdfeger
Modified: 2009-12-18 01:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:11:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Configuration of the troublesome network. (382 bytes, application/octet-stream)
2008-06-03 15:57 EDT, August Schwerdfeger
no flags Details
Log messages during a connection drop. (8.47 KB, application/octet-stream)
2008-06-03 15:58 EDT, August Schwerdfeger
no flags Details

  None (edit)
Description August Schwerdfeger 2008-06-03 15:57:47 EDT
Description of problem:

When I am connected to a certain WPA-Enterprise network, the connection drops
with unnatural frequency; attempts to re-connect often fail and invariably
result in one or more prompts for secrets.

This does not happen when connecting to the same network using Ubuntu with
wpa_supplicant 0.6.0 and NetworkManager 0.6.6.

Version-Release number of selected component (if applicable):

wpa_supplicant-0.6.3-5.fc9.i386
NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386


Actual results:

(1) My connection drops out with a frequency greater than once per hour.
(2) When the connection drops, reconnection takes some minutes, during which the
"Secrets Required" dialog box makes an appearance at least one time.

Expected results:

(1) The connection does not drop out except as a freak occurrence.
(2) If the connection drops, reconnection is achieved within a few seconds, with
no prompts for secrets.

(This is the level of performance I receive from wpa_supplicant 0.6.0 and
NetworkManager 0.6.6 aforementioned.)

Additional info:

I attach the configuration of the network with which the trouble is observed,
and also the log messages from wpa_supplicant during a drop-out and reconnection.
Comment 1 August Schwerdfeger 2008-06-03 15:57:48 EDT
Created attachment 308285 [details]
Configuration of the troublesome network.
Comment 2 August Schwerdfeger 2008-06-03 15:58:33 EDT
Created attachment 308286 [details]
Log messages during a connection drop.
Comment 3 Dan Williams 2008-07-02 18:49:50 EDT
What kernel version do you have installed?  Drivers can affect connection drops
quite often.  Also, can you ensure that NetworkManager and wpa_supplicant are
the latest versions by updating them?  The versions you list aren't current.

sudo yum upgrade NetworkManager* wpa_supplicant

should get you the right bits (NM svn3675 and wpa_supplicant 0.6.3-6.fc9).
Comment 4 August Schwerdfeger 2008-07-02 22:43:13 EDT
I have experienced this problem with two wireless adapters and several kernel
versions (Fedora 8 and 9 both).

I had the most recent versions of all packages (checked with a 'yum
check-update') at the time I submitted the bug, so the versions listed above
were current at that time. Having kept with the updates I now have these versions:

Kernel 2.6.25-9-76
NetworkManager svn3675
wpa_supplicant 0.6.3-6

The connection drop-outs are now less frequent, and I have not observed more
than one appearance of the "Secrets Required" dialog per reconnection in a
while, but the problem persists.
Comment 5 Dan Williams 2008-11-16 08:04:28 EST
Does this still happen with latest kernels and NetworkManager?
Comment 6 August Schwerdfeger 2008-11-17 10:42:49 EST
Yes. I am using these versions now:

Kernel 2.6.27.5-37.fc9.x86_64
NetworkManager svn4022
Comment 7 August Schwerdfeger 2009-01-29 12:27:25 EST
The problem has returned in full force with the update to kernel 2.6.27.12-170.2.5.

NetworkManager git20090102
wpa_supplicant 0.6.4-2
Comment 8 Bug Zapper 2009-06-09 21:23:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 August Schwerdfeger 2009-06-09 23:05:35 EDT
This problem has persisted "on-and-off" through an upgrade to Fedora 10 and updates thereto, so I am marking the bug as applicable to Fedora 10.
Comment 10 Bug Zapper 2009-11-18 04:35:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Dan Williams 2009-11-29 17:38:55 EST
If this is still an issue with F11 or later, lets bump the version to F11.

Also please note what wifi hardware you have and what kernel version you are running.  This could be more of a driver issue, and I know that the 2.6.29 kernel has some fixes for a number of wifi connection drop issues for cards like ath5k and ath9k.
Comment 12 August Schwerdfeger 2009-12-01 16:13:29 EST
At the time I reported this I was using an Intel 3945 wireless adapter, which I am not using anymore. I have not used the 3945 adapter with F11.
Comment 13 Bug Zapper 2009-12-18 01:11:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.